/* Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies).
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and /or associated documentation files
 * (the "Materials "), to deal in the Materials without restriction,
 * including without limitation the rights to use, copy, modify, merge,
 * publish, distribute, sublicense, and/or sell copies of the Materials,
 * and to permit persons to whom the Materials are furnished to do so,
 * subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Materials.
 *
 * THE MATERIALS ARE PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 * DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
 * OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE MATERIALS OR
 * THE USE OR OTHER DEALINGS IN THE MATERIALS.
 */

#ifndef _SFALPHARCP_H_
#define _SFALPHARCP_H_

#include "riDefs.h"

namespace OpenVGRI {
enum { ALPHA_RCP_BITS = 8};
static const RIuint16 sc_alphaRcp[256] = {
    0xff00,  0xff00,  0x7f80,  0x5500,  0x3fc0,  0x3300,  0x2a80,  0x246e,  
    0x1fe0,  0x1c55,  0x1980,  0x172f,  0x1540,  0x139e,  0x1237,  0x1100,  
    0xff0,  0xf00,  0xe2b,  0xd6c,  0xcc0,  0xc25,  0xb97,  0xb16,  
    0xaa0,  0xa33,  0x9cf,  0x972,  0x91b,  0x8cb,  0x880,  0x83a,  
    0x7f8,  0x7ba,  0x780,  0x749,  0x715,  0x6e4,  0x6b6,  0x68a,  
    0x660,  0x638,  0x612,  0x5ee,  0x5cc,  0x5ab,  0x58b,  0x56d,  
    0x550,  0x534,  0x51a,  0x500,  0x4e7,  0x4d0,  0x4b9,  0x4a3,  
    0x48e,  0x479,  0x466,  0x452,  0x440,  0x42e,  0x41d,  0x40c,  
    0x3fc,  0x3ec,  0x3dd,  0x3ce,  0x3c0,  0x3b2,  0x3a5,  0x397,  
    0x38b,  0x37e,  0x372,  0x366,  0x35b,  0x350,  0x345,  0x33a,  
    0x330,  0x326,  0x31c,  0x313,  0x309,  0x300,  0x2f7,  0x2ee,  
    0x2e6,  0x2dd,  0x2d5,  0x2cd,  0x2c6,  0x2be,  0x2b6,  0x2af,  
    0x2a8,  0x2a1,  0x29a,  0x293,  0x28d,  0x286,  0x280,  0x27a,  
    0x274,  0x26e,  0x268,  0x262,  0x25c,  0x257,  0x251,  0x24c,  
    0x247,  0x242,  0x23d,  0x238,  0x233,  0x22e,  0x229,  0x225,  
    0x220,  0x21c,  0x217,  0x213,  0x20e,  0x20a,  0x206,  0x202,  
    0x1fe,  0x1fa,  0x1f6,  0x1f2,  0x1ef,  0x1eb,  0x1e7,  0x1e4,  
    0x1e0,  0x1dc,  0x1d9,  0x1d6,  0x1d2,  0x1cf,  0x1cc,  0x1c9,  
    0x1c5,  0x1c2,  0x1bf,  0x1bc,  0x1b9,  0x1b6,  0x1b3,  0x1b0,  
    0x1ad,  0x1ab,  0x1a8,  0x1a5,  0x1a2,  0x1a0,  0x19d,  0x19b,  
    0x198,  0x195,  0x193,  0x190,  0x18e,  0x18c,  0x189,  0x187,  
    0x185,  0x182,  0x180,  0x17e,  0x17c,  0x179,  0x177,  0x175,  
    0x173,  0x171,  0x16f,  0x16d,  0x16b,  0x169,  0x167,  0x165,  
    0x163,  0x161,  0x15f,  0x15d,  0x15b,  0x159,  0x158,  0x156,  
    0x154,  0x152,  0x150,  0x14f,  0x14d,  0x14b,  0x14a,  0x148,  
    0x146,  0x145,  0x143,  0x142,  0x140,  0x13e,  0x13d,  0x13b,  
    0x13a,  0x138,  0x137,  0x135,  0x134,  0x132,  0x131,  0x130,  
    0x12e,  0x12d,  0x12b,  0x12a,  0x129,  0x127,  0x126,  0x125,  
    0x123,  0x122,  0x121,  0x120,  0x11e,  0x11d,  0x11c,  0x11b,  
    0x119,  0x118,  0x117,  0x116,  0x115,  0x113,  0x112,  0x111,  
    0x110,  0x10f,  0x10e,  0x10d,  0x10c,  0x10a,  0x109,  0x108,  
    0x107,  0x106,  0x105,  0x104,  0x103,  0x102,  0x101,  0x100,  
};
}
#endif

